Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcts.operation
Class WCTSRequestBase

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.wcts.operation.WCTSRequestBase

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

Direct Known Subclasses:
  GetResourceByID, GetTransformation, IsTransformable, Transform, WCTSGetCapabilities

    public class WCTSRequestBase

extends AbstractOGCWebServiceRequest

`WCSTRequestBase` helper class to override getServiceName.

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$
See Also:
  Serialized Form

Constructor Summary
`protected` | `WCTSRequestBase(String id, Map<String,String> vendorSpecificParameter)` A constructor with version @link `WCTService.version`
`protected` | `WCTSRequestBase(String version, String id, Map<String,String> vendorSpecificParameter)`

Method Summary
`String` | `getServiceName()`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WCTSRequestBase

    protected WCTSRequestBase(String version,
                              String id,
                              Map<String,String> vendorSpecificParameter)

Parameters:
  `version` - of the request.
  `id` - of the request.
  `vendorSpecificParameter` - may be `null`

### WCTSRequestBase

    protected WCTSRequestBase(String id,
                              Map<String,String> vendorSpecificParameter)

  A constructor with version @link `WCTService.version`

  Parameters:
    `id` - of the request.
    `vendorSpecificParameter` - may be `null`

Method Detail

### getServiceName

    public String getServiceName()

  Returns:
    the name of the service that is targeted by the request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org